View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
17437Bug reportsSurvey takingpublic2021-09-23 12:53
ReporterMazi Assigned Topstelling  
PrioritynoneSeverityminor 
Status assignedResolutionfixed 
Product Version3.25.20 
Summary17437: Prefix missing for total value at multi numeric question
DescriptionWhen setting a prefix for multi numeric questions, this is shown for all question details besides the "total" row. The item at that row has CSS class "hidden" assigned accidentally and thus is not showing, see screenshot and https://github.com/LimeSurvey/LimeSurvey/blob/6437c998731e1e79da24c394ef205444cfa75cdf/application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig#L44
Steps To ReproduceImport the attached question into an english survey.
Run the preview.
TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)3.25.14+210218
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMySQL 5
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version5.6

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2021-07-13 21:13

partner  

image.png (114,702 bytes)
limesurvey_question_690.lsq (7,727 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Question</LimeSurveyDocType>
 <DBVersion>365</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[690]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[K]]></type>
    <title><![CDATA[Q14]]></title>
    <question><![CDATA[If you had an additional $100, how would you allocate the funds among the types of amenities listed below?<em> [Please be sure your total adds up to $100.]</em>]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[893]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[01]]></title>
    <question><![CDATA[Reinvest in existing trail system]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[894]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[02]]></title>
    <question><![CDATA[Add new park furniture (benches, picnic tables, garbage cans)]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[895]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[03]]></title>
    <question><![CDATA[Reinvest in existing parks (e.g., playgrounds, shelters, sports fields)]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[896]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[04]]></title>
    <question><![CDATA[Develop new trails (increasing connectivity/accessibility)]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[897]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[05]]></title>
    <question><![CDATA[Develop new parks or add new park amenities]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[898]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[06]]></title>
    <question><![CDATA[Develop new sports fields (e.g., softball, soccer, baseball, etc.)]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[6]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[899]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[07]]></title>
    <question><![CDATA[Develop new court sports (e.g., bocce ball, pickleball, etc.)]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[7]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[900]]></qid>
    <parent_qid><![CDATA[690]]></parent_qid>
    <sid><![CDATA[562187]]></sid>
    <gid><![CDATA[49]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[08]]></title>
    <question><![CDATA[Other]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[8]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
  </rows>
 </subquestions>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[690]]></qid>
    <attribute><![CDATA[equals_num_value]]></attribute>
    <value><![CDATA[100]]></value>
   </row>
   <row>
    <qid><![CDATA[690]]></qid>
    <attribute><![CDATA[maximum_chars]]></attribute>
    <value><![CDATA[3]]></value>
   </row>
   <row>
    <qid><![CDATA[690]]></qid>
    <attribute><![CDATA[prefix]]></attribute>
    <value><![CDATA[$]]></value>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_attributes>
</document>
limesurvey_question_690.lsq (7,727 bytes)   
pstelling

pstelling

2021-09-23 12:53

developer   ~66605

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32748

Related Changesets

LimeSurvey: 3.x-LTS e1c8100a

2021-09-21 12:03:24

pstelling

Details Diff
Fixed issue 17437: missing prefix (mulitple numeric number) for total value Affected Issues
17437
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File

LimeSurvey: 3.x-LTS 6aeafd07

2021-09-23 12:53:54

pstelling


Committer: GitHub Details Diff
Merge pull request #2045 from LimeSurvey/bug/17437-prefix-missing-total-value

Fixed issue 17437: missing prefix (mulitple numeric number) for tota…
Affected Issues
17437
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File

Issue History

Date Modified Username Field Change
2021-07-13 21:13 Mazi New Issue
2021-07-13 21:13 Mazi File Added: image.png
2021-07-13 21:13 Mazi File Added: limesurvey_question_690.lsq
2021-07-14 09:04 galads Assigned To => galads
2021-07-14 09:04 galads Status new => testing
2021-07-14 09:09 galads Status testing => confirmed
2021-09-10 09:06 galads Assigned To galads => gabrieljenik
2021-09-10 09:06 galads Status confirmed => assigned
2021-09-10 09:06 galads Steps to Reproduce Updated View Revisions
2021-09-23 12:53 pstelling Changeset attached => LimeSurvey 3.x-LTS 6aeafd07
2021-09-23 12:53 pstelling Changeset attached => LimeSurvey 3.x-LTS e1c8100a
2021-09-23 12:53 pstelling Note Added: 66605
2021-09-23 12:53 pstelling Bug heat 0 => 2
2021-09-23 12:53 pstelling Assigned To gabrieljenik => pstelling
2021-09-23 12:53 pstelling Resolution open => fixed